2004-12-28 Werner Koch <wk@g10code.com>
authorMarcus Brinkmann <mb@g10code.com>
Wed, 12 Jan 2005 10:28:42 +0000 (10:28 +0000)
committerMarcus Brinkmann <mb@g10code.com>
Wed, 12 Jan 2005 10:28:42 +0000 (10:28 +0000)
Released 1.0.2.

* Makefile.am (AUTOMAKE_OPTIONS): Build bzip 2 version.
(ACLOCAL_AMFLAGS): Add -I m4.
* configure.ac: Require automake 1.9.3 and autoconf 2.59.
* acinclude.m4: Changed quoting for automake 1.9.
* README: Use SHA1 instead of MD5.

ChangeLog
Makefile.am
NEWS
README
acinclude.m4
configure.ac

index 2e70aa4..2b6a949 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,13 @@
+2004-12-28  Werner Koch  <wk@g10code.com>
+
+       Released 1.0.2.
+
+       * Makefile.am (AUTOMAKE_OPTIONS): Build bzip 2 version.
+       (ACLOCAL_AMFLAGS): Add -I m4.
+       * configure.ac: Require automake 1.9.3 and autoconf 2.59.
+       * acinclude.m4: Changed quoting for automake 1.9.
+       * README: Use SHA1 instead of MD5.
+
 2004-12-11  Marcus Brinkmann  <marcus@g10code.de>
 
        * configure.ac: Replace ttyname_r if it doesn't exist (and warn in
index 69c1bbd..2a5ed5e 100644 (file)
@@ -1,6 +1,6 @@
 # Makefile.am - Top level Makefile for GPGME.
 # Copyright (C) 2000 Werner Koch (dd9jn)
-# Copyright (C) 2001, 2002, 2004 g10 Code GmbH
+# Copyright (C) 2001, 2002, 2004, 2005 g10 Code GmbH
 # 
 # This file is part of GPGME.
 # 
@@ -20,6 +20,9 @@
 
 ## Process this file with automake to produce Makefile.in
 
+ACLOCAL_AMFLAGS = -I m4
+AUTOMAKE_OPTIONS = dist-bzip2
+
 EXTRA_DIST = gpgme.spec.in
 
 if BUILD_ASSUAN
diff --git a/NEWS b/NEWS
index 49d4301..221ec47 100644 (file)
--- a/NEWS
+++ b/NEWS
@@ -11,6 +11,13 @@ gpgme_ctx_set_engine_info    NEW
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 
+Noteworthy changes in version 1.0.2 (2004-12-28)
+------------------------------------------------
+
+ * Changed the license of the library to the GNU Lesser General Public
+   License (LGPL), version 2.1 or later.
+
+
 Noteworthy changes in version 1.0.1 (2004-10-22)
 ------------------------------------------------
 
diff --git a/README b/README
index def6ab5..bee7482 100644 (file)
--- a/README
+++ b/README
@@ -44,7 +44,7 @@ To build GPGME, you need to install libgpg-error.  You need at least
 libgpg-error 0.5.
 
 For support of the OpenPGP protocol (default), you should use the
-latest version of GnuPG 1.2, available at:
+latest version of GnuPG 1.2 or 1.4, available at:
 ftp://ftp.gnupg.org/gcrypt/gnupg/
 
 You need at least GnuPG 1.2.2.
@@ -55,7 +55,7 @@ the location with the --with-gpg=/path/to/gpg argument to configure.
 For support of the CMS (Cryptographic Message Syntax) protocol, you
 need the latest CVS version of GnuPG 1.9, which is available in the
 GnuPG repository:
-http://www.gnupg.org/(en)/download/cvs_access.html
+http://www.gnupg.org/download/cvs_access.html
 Use the tag `GNUPG-1-9-BRANCH'.  There are also snapshots available at:
 ftp://ftp.gnupg.org/gcrypt/alpha/gnupg/
 
@@ -99,13 +99,13 @@ a) If you have a trusted Version of GnuPG installed, you can simply check
    with the fingerprint published elsewhere.
 
 b) If you don't have any of the above programs, you have to verify
-   the MD5 checksum:
+   the SHA1 checksum:
 
-       $ md5sum gpgme-x.y.z.tar.gz
+       $ sha1sum gpgme-x.y.z.tar.gz
 
    This should yield an output _similar_ to this:
 
-   fd9351b26b3189c1d577f0970f9dcadc  gpgme-x.y.z.tar.gz
+   fd9351b26b3189c1d577f0970f9dcadc3412def1  gpgme-x.y.z.tar.gz
 
    Now check that this checksum is _exactly_ the same as the one
    published via the announcement list and probably via Usenet.
index 3042240..c62e596 100644 (file)
@@ -24,7 +24,7 @@ dnl   for one substitution.
 dnl   We must use a temp file in the current directory because make
 dnl   distcheck installs all sourcefiles RO.
 dnl   (wk 2001-12-18)
-AC_DEFUN(GNUPG_FIX_HDR_VERSION,
+AC_DEFUN([GNUPG_FIX_HDR_VERSION],
   [ sed "s/^#define $2 \".*/#define $2 \"$VERSION\"/" $srcdir/$1 > fixhdr.tmp
     if cmp -s $srcdir/$1 fixhdr.tmp 2>/dev/null; then
         rm -f fixhdr.tmp
@@ -47,7 +47,7 @@ dnl GNUPG_CHECK_VA_COPY()
 dnl   Do some check on how to implement va_copy.
 dnl   May define MUST_COPY_VA_BY_VAL.
 dnl   Actual test code taken from glib-1.1.
-AC_DEFUN(GNUPG_CHECK_VA_COPY,
+AC_DEFUN([GNUPG_CHECK_VA_COPY],
 [ AC_MSG_CHECKING(whether va_lists must be copied by value)
   AC_CACHE_VAL(gnupg_cv_must_copy_va_byval,[
     gnupg_cv_must_copy_va_byval=no
index a1e9bf7..80c2cfa 100644 (file)
  
 # (Process this file with autoconf to produce a configure script.)
 
-AC_PREREQ(2.57)
-min_automake_version="1.7.6"
+AC_PREREQ(2.59)
+min_automake_version="1.9.3"
 
 # Version number: Remember to change it immediately *after* a release.
-AC_INIT(gpgme, 1.0.1, [bug-gpgme@gnupg.org])
+AC_INIT(gpgme, 1.1.0-cvs, [bug-gpgme@gnupg.org])
 # LT Version numbers, remember to change them just *before* a release.
 #   (Code changed:                     REVISION++)
 #   (Interfaces added/removed/changed: CURRENT++, REVISION=0)
@@ -35,7 +35,7 @@ LIBGPGME_LT_CURRENT=14
 # Subtract 2 from this value if you want to make the LFS transition an
 # ABI break.  [Note to self: Remove this comment with the next regular break.]
 LIBGPGME_LT_AGE=3
-LIBGPGME_LT_REVISION=2
+LIBGPGME_LT_REVISION=3
 
 # If the API is changed in an incompatible way: increment the next counter.
 GPGME_CONFIG_API_VERSION=1